Merge lp:~gandelman-a/ubuntu/saucy/cinder/paramiko_vers into lp:~openstack-ubuntu-testing/cinder/havana

Proposed by Adam Gandelman on 2013-05-24
Status: Merged
Approved by: Chuck Short on 2013-05-28
Approved revision: 102
Merged at revision: 103
Proposed branch: lp:~gandelman-a/ubuntu/saucy/cinder/paramiko_vers
Merge into: lp:~openstack-ubuntu-testing/cinder/havana
Diff against target: 54 lines (+28/-2)
3 files modified
debian/changelog (+6/-2)
debian/patches/avoid_paramiko_vers_depends.patch (+21/-0)
debian/patches/series (+1/-0)
To merge this branch: bzr merge lp:~gandelman-a/ubuntu/saucy/cinder/paramiko_vers
Reviewer Review Type Date Requested Status
Openstack Ubuntu Testers 2013-05-24 Pending
Review via email: mp+165522@code.launchpad.net

Description of the change

Avoid the hard version requirement on paramiko. Our package is patched to fix the bug that caused upstream to require 0.8. I'm currently working on getting new upstream release into Debian, so we can drop this when that comes.

(This supercedes a merge I mistakenly targeted at the grizzly branch)

To post a comment you must log in.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/changelog'
2--- debian/changelog 2013-05-17 17:05:27 +0000
3+++ debian/changelog 2013-05-24 02:34:26 +0000
4@@ -1,4 +1,4 @@
5-cinder (1:2013.2.a226.g1d6de0f-0ubuntu1) UNRELEASED; urgency=low
6+cinder (1:2013.2.a226.g1d6de0f-0ubuntu2) UNRELEASED; urgency=low
7
8 [ Chuck Short ]
9 * New upstream version.
10@@ -14,7 +14,11 @@
11 package build process (its just way to late).
12 * debian/control: Drop surplus BD on python-cheetah.
13
14- -- Chuck Short <zulcss@ubuntu.com> Tue, 30 Apr 2013 08:09:08 -0500
15+ [ Adam Gandelman ]
16+ * debian/patches/avoid_paramiko_vers_depends.patch: Avoid version
17+ requirement on paramiko.
18+
19+ -- Adam Gandelman <adamg@ubuntu.com> Thu, 23 May 2013 19:12:56 -0700
20
21 cinder (1:2013.1-0ubuntu2) raring; urgency=low
22
23
24=== added file 'debian/patches/avoid_paramiko_vers_depends.patch'
25--- debian/patches/avoid_paramiko_vers_depends.patch 1970-01-01 00:00:00 +0000
26+++ debian/patches/avoid_paramiko_vers_depends.patch 2013-05-24 02:34:26 +0000
27@@ -0,0 +1,21 @@
28+From: Adam Gandelman <adamg@ubuntu.com>
29+Date: Thu May 23 19:12:03 PDT 2013
30+Remove version requirements of paramiko dependency until new upstream paramiko
31+version is packaged. Current version in Saucy (1.7.7.1-3.1ubuntu1) has a
32+cherry-picked patch to avoid the bug that prompted the version requirement
33+here.
34+
35+
36+Index: cinder/tools/pip-requires
37+===================================================================
38+--- cinder.orig/tools/pip-requires 2013-05-23 19:09:24.115223372 -0700
39++++ cinder/tools/pip-requires 2013-05-23 19:10:22.699221220 -0700
40+@@ -11,7 +11,7 @@
41+ lockfile>=0.8
42+ lxml>=2.3
43+ oslo.config>=1.1.0
44+-paramiko>=1.8.0
45++paramiko
46+ paste
47+ pastedeploy>=1.5.0
48+ python-glanceclient>=0.5.0,<2
49
50=== added file 'debian/patches/series'
51--- debian/patches/series 1970-01-01 00:00:00 +0000
52+++ debian/patches/series 2013-05-24 02:34:26 +0000
53@@ -0,0 +1,1 @@
54+avoid_paramiko_vers_depends.patch

Subscribers

People subscribed via source and target branches